Back 19.12.2010 - version 1.0.0.158 - FIX: fixed issue with dts/CUE decoding. 18.12.2010 - version 1.0.0.157 - FIX: fixed issue when program tried to create playlist with too long file name. - FIX: fixed issue when Capitalize Each Word together with _ as a delimiter was used in Filename Pattern. - FIX: %bitrate% was not properly replaced in Filename Pattern. - FIX: fixed issue with "No audio stream was found" for some CD drives. - NEW: added support for w64 (wave64) files' decoding. - NEW: program will try to convert CUE files to the local codepage (to preserve spcial chars). - NEW: added command line parameter /noshowerr to suppress error messages when working with command line. - NEW: program will exit with negative exit code if command line process failed. - NEW: Save Metadata button will become enabled after "Replay Gain/Analyze Track Gain" was processed. This was RG info can be saved in Tags without reprocessing the file. - NEW: flac tag COMPILATION will be saved as "Part of a compilation" in m4a tags. 27.11.2010 - version 1.0.0.156 - FIX: fixed issue with creation of large Audiobooks. - FIX: fixed various Access Violation errors. 21.11.2010 - version 1.0.0.155 - FIX: wav tags will be converted from/to local language when reading/saving. - FIX: fixed hadling of foreign characters in embedded CUEs. - FIX: migrated location of xrecode2.ini to %APPPDATA% (which is correct path for Vista and Windows 7). - FIX: fixed issue with Columns' Autosize when started from shell extension. - NEW: some cleanup. Removed speex, shorten and ofr encoders. - NEW: added support for ac3 files' tagging. - NEW: added option "Write Metadata to output file" for mp2, ac3 and aiff (to preserve compatibility with programs, which don't understand tags in those files). 17.11.2010 - version 1.0.0.154 - FIX: fixed issue with ogg encoder. 17.11.2010 - version 1.0.0.153 - FIX: fixed m4a/aac to allow multi-channel encoding (was restricted to 2 channels only). - FIX: fixed issue with ogg tag writing for files created with older version of aoTuV encoder. - FIX: comments with line breaks will be joined in one line when writing/embedding into CUE. - FIX: only supported files will be checked in "Add Folder" files' view when folder is checked. - FIX: fixed issue with AutoSize for Metadata list view. - FIX: fixed issue with m4a files created with the latest iTunes. - NEW: added check if Quicktime is installed when choosing m4a as a destination. - NEW: updated program to support the latest qaac.exe (http://sites.google.com/site/qaacpage/home). - NEW: improved CD grabbing. Program will now report if there was any C2 error correction during the rip. - NEW: both {InputFileName} and {OutputFileName} can be specified in mp3 custom command line. In such case program will convert {InputFileName} to temp wav and feed to the encoder. - NEW: added option to specify manual command line for NeroAAC (it supports command line like -2pass -br 128000 -if {InputFileName} -of {OutputFileName}). - NEW: added "Test" button to test if external exncoder is configured properly (available for all output formats whith option to choose external encoder). - NEW: added support for faac as encoder for M4A/AAC. - NEW: added option "Stop playback after the current track" under Program Settings/Advanced. - NEW: shell extension will now respect "Allow multipe instances" settings. If it's disabled, files, sent from Shell, will be added to the currently open program. - NEW: audio bitrate mode (CBR/VBR) will be shown for Bitrate/Audio Bitrate columns. - NEW: when original file is renamed, '.bak' will be added as an extension to the existing one (was adding some random numbers before). 22.10.2010 - version 1.0.0.152 - FIX: id3v1 will be created if "Clear Tags" and "Create id3v1" are both selected. - FIX: fixed issue with encoding really long mp3 files. - FIX: fixed access violaiton error when opening some video files. - NEW: added option to turn off cover art writing for Ogg files (for compatibility reasons). See under Ogg Settings. - NEW: added feature to create iPhone ringotne (new destination Ringtone). - NEW: "Metadata from filename" now supports patterns with folders, e.g. %artist\%year% - %album%\%track% - %title% 12.10.2010 - version 1.0.0.151 - FIX: fixed issue with "Add Folder" when in some cases no files were added. 11.10.2010 - version 1.0.0.150 - FIX: fixed issue with flac files created with older version of encoder. - FIX: fixed issue with AudioBook creation (sometimes failed). - FIX: fixed issue when m4a files were in use after conversion. - FIX: fixed issue with m4a files with empty Metadata. - FIX: fixed positioning of Volume and Song Position bars when clicking on them. - FIX: fixed issue with some weird mp3 tags. - FIX: fixed Access Violation when right-clicking on Total: item. - FIX: fixed sorting for some Input Files columns. - FIX: fixed small issues with internal player pausing/resuming. - FIX: fixed issue with "Add Folder" with many files with/without CUE. - NEW: added option to automatically download tags (under Program Settings/Metadata). 23.09.2010 - version 1.0.0.149 - FIX: files creted with NeroAAC will be tagged using normal tagger (as Nero tagger doesn't write all tags according to standards). - FIX: fixed issue when incorrect time/bitrate was shown for DTS files. - NEW: returned option to use lame_enc.dll. Just copy it to external folder and program will use it for mp3 encoding. - NEW: added option to swhitch on/off handling of 1st track pre-gap (under Program Settings/Metadata). - NEW: added option to swhitch on/off handling of ReplayGain (under Program Settings/Metadata). - NEW: added option "Eject after rip" under Program Settings/CD to eject CD after rip. 02.09.2010 - version 1.0.0.148 - FIX: removed dependency on MSVRCT90.dll 02.09.2010 - version 1.0.0.147 - FIX: various small bugfixes. - NEW: added TTA encoder. - NEW: added support for SWF files' (containing mp3 stream) decoding. - NEW: added option to optimize layout of an Audiobook (under Merge/Audiobook settings). - NEW: added support for reading of m4b chapters. 15.08.2010 - version 1.0.0.146 - FIX: fixed "... is not a valid floating point value" error. - FIX: fixed access violation error when trying to close main window while program is busy. - FIX: fixed various CUE issues (some fields were not transferred from/to CUE etc.). - FIX: program won't accept CUE files with several FILE fields in it if one or more of those files does not exist. - FIX: fixed issue with umlaut characters in APEv1 tags. - NEW: added read/write support for Ogg Cover art. - NEW: added files without valid audio stream will be indicated with a red exclamation mark. 02.08.2010 - version 1.0.0.145 - FIX: fixed issue with APE files with old (APEv1) tags in them. - FIX: fixed issue with 1st track pregap in CUE files. Pregap for the 1st track (if any) will be saved in the file name 01.00.1st track pregap... - FIX: ISRC and FLAGS records will be preserved when processing CUE files. - NEW: added 176400 Hz sample rate for WAV and Preprocessing settings. - NEW: switched to oggenc2.exe as ogg encoder. - NEW: upgraded to wavpack 4.6.1. 17.07.2010 - version 1.0.0.144 - FIX: fixed issue with some flac/cue files. 13.07.2010 - version 1.0.0.143 - FIX: fixed issue with all texts where there were 2 spaces instead of one. - NEW: added function to apply Max Noclip gain for mp3 files (using mp3gain http://mp3gain.sourceforge.net). - NEW: added feature to apply Max Noclip Gain after conversion to the resulting mp3 files (see under MP3 Settings/Additional). - NEW: added "Apply Track Gain", "Undo Gain Changes" and "Clear All Tags" mp3gain functions to the program (see under button Replay Gain/mp3gain). - NEW: added option "Delete folders/files created when process is cancelled" under Program Settings/Advanced. - NEW: added feature to choose how to apply Replay Gain to files (directly to audio or save in tags) (see under Normalize settings). - NEW: added columns "Track Gain" and "Track Peak" to the source files view. 18.06.2010 - version 1.0.0.142 - FIX: fixed several issues when encoding from command line. - NEW: new parameter for Actions - %allinputfiles%. Needed if you want to launch external program and pass all input files as a parameter (mp3gain.exe for example). - NEW: new parameter for child action - Hide while executing. Needed if you don't want to see how external program is executing. - NEW: program will remove values like "%albumartist% - \", "%artist% - \" from Output File to create less confusion. - NEW: added new method to retrieve Metadata for files from internet in auto-mode. No questions will be asked, Metadata will be retrieved and populated (righ-click under Metadata/Retrieve Metadata/From Internet (in auto-mode) Ctrl+3). - NEW: enhanced Metadata retrieval from internt. Now it's possible to do this for selected files only. If ony one files is selected, program will automatically select all files within the current folder and retrieve Metadata for them. The same works for the new method as well. - NEW: program will remove all created folders/files when process is canceled. - NEW: upgraded to BASS 2.4.6. 05.06.2010 - version 1.0.0.141 - NEW: added support for iTunes "Part of a compilation" tag. - NEW: added support BPM (Beats Per Minute) tag. - NEW: added option to create ID3v1 tags for mp3 files (see under MP3 Settings). - NEW: when pressing Ctrl+Up/Down in Metadata editor and Title contains text like Track01,02... it will automatically be selected so that it's easier to delete. - NEW: added support for playlist (pls, m3u and m3u8) files. - NEW: added button "Reload All" to re-load all source files into program. - FIX: fixed issues with profiles. Hopefully they're working fine now. Existing profiles will be discarded and will have to be recreated. - FIX: fixed issue when splitting 4-channel files. - FIX: fixed Title/Artist retrieval for CDs from freedb where it was in format "Title / Artist". - FIX: fixed "Canvas does not allow drawing" error while grabbing a CD. 01.06.2010 - version 1.0.0.140 - NEW: original tags will be preserved as well when writing PS3 ones. - NEW: added error message when trying to decode DRM-protected files. - FIX: fixed issue with mp3 command line encoding. 23.05.2010 - version 1.0.0.139 - FIX: fixed issues with mp3 encoding (was crashing in some cases). 21.05.2010 - version 1.0.0.138 - FIX: fixed issue when program was creating foders with 3 trailing dots (like somefolder...). Folders like this confuses windows. Now those dots will be removed form the folder name. - FIX: fixed issue with external encoder settings. - NEW: added support for qaac2. It can be used as an encoder for M4A/AAC. - NEW: added support for the Audio CD tracks' pre-gap. - NEW: added option to prevent overwriting the output file (see under Program Settings/Advanced). - NEW: added 2 columns: Audio Bitrate and Video Bitrate. They will be populated for video files only. Bitrate column for such cases will show the overall (total) bitrate. 09.05.2010 - version 1.0.0.137 - FIX: fixed issue when external executable was in the folder starting with ~ symbol. - NEW: made M4A/AAC setting more user friendly. - NEW: added feature to create Audiobook. See under Merge/CUE. 03.05.2010 - version 1.0.0.136 - FIX: fixed '...' is not a valid floating point value error. 03.05.2010 - version 1.0.0.135 - FIX: fixed issue with filename pattern capitalization. - FIX: fixed some issues with NeroAAC command line encoding. - NEW: added external encoder settings for ALAC. - NEW: in file name tags %s = {InputFileName} and %d = {OutputFileName}. You can use ones you prefer. - NEW: added support for 2-pass external encoders (Microsoft Media Encoder for example). To enable it, both {InputFileName} and {OutputFileName} must be present in the command line, e.g. "C:\Program Files\Windows Media Components\Encoder\WMCmd.vbs" -input %s -output %d -a_setting 440_44_2_16 -a_mode 3 -a_codec WMA9PRO 25.04.2010 - version 1.0.0.134 - NEW: made mp3 external settings a bit more user friendly ;) 17.04.2010 - version 1.0.0.133 - FIX: fixed some visual glitches in 1024x768 resolution. - FIX: folder.jpg was not recognized for wma files - fixed. - FIX: fixed track info retrieval issue from cddb when it was split across several rows. - NEW: added feature to enable/disable individual midi file track(s) (under Input Files right-click, Advanced/Midi Tracks). 09.04.2010 - version 1.0.0.132 - FIX: fixed issue with ALAC encoder (was adding extra samples at the end of file). 05.04.2010 - version 1.0.0.131 - FIX: fixed issue with converting 24bit files to 16bit wav - FIX: will create a file/CUE for each folder when Merge otput is used for several folders (together with "Create full Output Path") - NEW: added feature to create TOC file for cdrdao (under Input Files right-click, Export to/TOC (cdrdao)) - NEW: added "Create TOC" for WAV Settings (will create TOC file for cdrdao) 01.04.2010 - version 1.0.0.130 - FIX: fixed m4a encoding from command line. - FIX: fixed encoding of 24/48Khz files to WavPack. - NEW: output file name prefix can be used when encoding from command line, e.g. .... /output "c:\somepath\prefix*" - in this case text before * will be trated as a prefix. - NEW: updated M4A settings so that they work for qtaacenc.exe. - NEW: upgraded to the latest libvorbis.dll. - NEW: will show bitrate for presets (for mp3, neroaac and ogg settings). - NEW: removed /start from the command line (it's not needed anymore). - NEW: added support for .ogv files decoding. 26.03.2010 - version 1.0.0.129 - FIX: no A/V when started with /sendto only. - FIX: fixed A/V in "Launch External" action. - FIX: fixed highlighting by input/output files path. - NEW: improved startup time a bit. 19.03.2010 - version 1.0.0.128 - FIX: fixed access violation errors when pressing Cancel in external settings. - FIX: preprocessing settings were not always saved - fixed. - FIX: do not move to recycle (if "Move to recycle" is checked) the CUE file when not all tracks were selected. 13.03.2010 - version 1.0.0.127 - FIX: fixed bug when ". " was replaced in file name (should have replaced in path only). - NEW: created shell extension for the program. Available as a separate download from the home page. - NEW: added shell integration settings (Program Settings/Shell integration). - NEW: added support for .mka files decoding (including chapters). - NEW: updated MediaInfo.dll. - NEW: added option to prevent another instance of program (under Program Settings/Advanced). - NEW: improved startup time. 06.03.2010 - version 1.0.0.126 - FIX: program won't create folder with ". " (dot+space) in the name as windows explorer is unable to operate with such folders. - NEW: used folders are now saved in list which will pop-up when "Add Folder" is pressed. Option to turn this feature on/off is under Program Settings/Additional. - NEW: added check for max allowed file name length. Program will show error if length is exceeded and "Start" button will be disabled until the problem has been resolved. - NEW: added drop-down list for Destination folder so that last used folders will be saved. 26.02.2010 - version 1.0.0.125 - FIX: last pattern ID was not saved in "Metadata from Filename" window - fixed. - FIX: COMMENT was not written in CUE (normal and embedded) - fixed. - FIX: fixed encoding for CUE files, when non-ascii characters were used. - NEW: added feature to load text file with patterns under "Rertieve Metadata from Filename". File should be in format like this filenames1.txt or like this filenames2.txt. - NEW: relative path can now be used whe specifying external executable or in execute command after conversion. - NEW: program can now read APEv1 tags (will write them as APEv2). - NEW: added new parameter for main Action - "Capture output" to capture and show output of external executable. - NEW: added new parameter for main Action - "Show status window" to show window with processing file name while executing the action (useful when external excutable takes some time to execute). - NEW: added new parameter to child Action - "Convert input file to temporary WAV" - name says it all. Useful when external executable works with WAV files only. 21.02.2010 - version 1.0.0.124 - FIX: fixed several issues in Metadata editor. - NEW: Cover Art is reloaded when Resize settings are changed. - NEW: upgraded to the latest qtaacenc.exe. 21.02.2010 - version 1.0.0.123 - FIX: track value will be preserver when it start with a letter and is used in %track% or %track2% (before that non-number values were discarded). - NEW: added option to resize Cover Art to defined size (with option to maintain aspect ratio). See under Program Settings/Cover Art. - NEW: track number will be read from Metadata (if exists together with embedded CUESHEET). 19.02.2010 - version 1.0.0.122 - FIX: fixed issue with mp3 cover art. - FIX: fixed issues with song position track bar. - NEW: only files like folder.*, cover.* and front.* will be automatically treated as external cover art. - NEW: external cover art file name will be shown in "Cover Art" column. - NEW: removed feature to undock/dock player controls. They are moved to the top of the form where they're accessible from Metadata editor as well. 18.02.2010 - version 1.0.0.120 - NEW: added %bitrate% Tag (Output File bitrate) which can be used in file name patterns. - NEW: added Tags support in Metadata editor, i.e. you can select all tracks, fill the Title with %track2% %title% and Title for all files will be populated like this: 01 Existing title, 02 Existing title and so on. - NEW: added option (still experimental) to write Metadata in PS3 format (under NeroAAC settings and under Copy destination). - NEW: added feature to undock/dock player controls (right-click the player). 14.02.2010 - version 1.0.0.119 - NEW: updated several translations. 11.02.2010 - version 1.0.0.118 - FIX: increased speed of removing file from list. - NEW: added Actions "Move file up" and "Move file down" to move files up/down in the list. - NEW: added option to "Create file names using ANSI code page" under Additional Ouput Settings/Additional. 09.02.2010 - version 1.0.0.117 - FIX: program won't create folders with . at the end because windows explorer cannot handle them properly. - FIX: fixed visual glitch when Genre was always selected when switching to Metadata. - NEW: Shift+Enter will create a new line in Comments field. - NEW: added Action "Move files(s) to Recycle Bin". - NEW: added options to show only Input and Output file names (without full path). See under Source Files right-click menu/Columns and Metadata right-click menu/Columns. - NEW: patterns in Retrieve Metadata from Filename will be saved. 07.02.2010 - version 1.0.0.116 - FIX: destination folder will not be created when "Same as Source" is checked. - FIX: correct Output File Size will be displayed when "Same as Source" and "Move original to Recycle" is used together. 07.02.2010 - version 1.0.0.115 - FIX: fixed some issues with AtomicParsley. 04.02.2010 - version 1.0.0.114 - FIX: Output Path will be created only when conversion process is started (to avoid creation of unneded mistakenly entered folders). - NEW: added %outputfilename% for tags used in Actions. - NEW: added tags used in Actions to "Program Settings/Advanced/Run after conversion". 04.02.2010 - version 1.0.0.112 - NEW: you can now specify how to replace illegal characters (see under Additional Output Settings/Additional). - NEW: added feature to run user-defined actions (see under Program Settings/Actions). There are several built-in actions (such as reload source files, load output files, player control etc. as well as action to launch external tool). To launch action you need to specify Hot key for it. You can assign one or more actions under one Hot key. 27.01.2010 - version 1.0.0.111 - FIX: fixed issue when using "Close program when done" together with "Execute this command after conversion". - FIX: fixed channels' layout for 5.1 mlp and dts files when using channel splitting. 25.01.2010 - version 1.0.0.110 - FIX: will always attempt to create wav(rf64) when creating large wav files (to overcome 4GB wav limit). 24.01.2010 - version 1.0.0.109 - FIX: fixed sort by Input File Name and by Title. - FIX: fixed export to CUE (was exporting Output File Name instead of Input). - NEW: sort order for Source Files will be saved/restored. - NEW: added possibility to merge several mlp files (w/o reencoding). Choose Merge as a destination and select RAW. . 22.01.2010 - version 1.0.0.108 - NEW: added Discogs, Album Art Exchange and Album Art for Cover art searching. - NEW: track (under Metadata editor) will display when more than one track is selected. - NEW: added menu item to open all Cover art searches at once. - NEW: removed ffmpeg AAC encoder from distributabe in favour of qtaacenc from here (or here). It requires quicktime to be installed and gives far more better quality. - FIX: changed "French" to "Français" in languages list. 21.01.2010 - version 1.0.0.107 - FIX: fixed some issues in Metadata editor (multiple values, flickering). - FIX: mlp files will be trated as 24bit (instead of 32bit ones). - FIX: improved handling of files with unknown (n/a) duration. 20.01.2010 - version 1.0.0.106 - FIX: fixed several small issues in "Add Folder". - FIX: program will now allow to create folders with spaces after slash (\). - NEW: added decoding support for mlp files. 19.01.2010 - version 1.0.0.105 - FIX: fixed Metadata saving in wav files (sometimes was not clearing properly). - NEW: added function to create CUE from source files (right-click menu under Source Files). - NEW: adjusted items' height in Source Files view (made the same as in Metadata view). 17.01.2010 - version 1.0.0.104 - FIX: program won't quit when it's busy and new version label is clicked. - FIX: fixed some more visual glitches (when large fonts are used). - NEW: progress form's position will be saved and restored. - NEW: added icon for CUE files. 15.01.2010 - version 1.0.0.103 - FIX: ogg was producing noise when converting from 24bit source - fixed. - FIX: fixed some visual glitches (when large fonts are used). - NEW: added possibility to merge several dts files (w/o reencoding). Choose Merge as a destination and select RAW. 14.01.2010 - version 1.0.0.102 - FIX: "Reset to Default" was not working in Destination settings - fixed. 13.01.2010 - version 1.0.0.101 - FIX: "Rename original when replacing source file" will work even if "Same as source" was not used. 11.01.2010 - version 1.0.0.100 - FIX: fixed issue with aiff encoder (sometimes was always creating files with size of 4Gb). - FIX: cover art was not read from AIFF Metadata - fixed. 09.01.2010 - version 1.0.0.99 - FIX: fixed issue with saving Metadata to multipe APE files at once. 09.01.2010 - version 1.0.0.98 - FIX: merge was encodign only first track - fixed. - FIX: autosize for Metadata columns was not working properly - fixed. 08.01.2010 - version 1.0.0.97 - FIX: TAK decoder was broken - fixed. Upgraded to TAK version 2.0.0 as well. 07.01.2010 - version 1.0.0.96 - NEW: mp3 cue splitting is now done without re-encoding (original quality is preserved). - NEW: full original quality is preserved when merging mp3 files. - NEW: mp3 stream from files like avi, flv, mkv, etc. is now extracted directly without re-encoding (original quality is preserved). - NEW: added Metadata columns to Source Files View as well (good for sorting). 05.01.2010 - version 1.0.0.95 - NEW: added read/write support for more Metadata which is stored in WAV LIST chunk. - NEW: added option to choose how to save Metadata in WAV files (under Program Settings/Metadata). - NEW: added check that manually entered destination folder exists. - FIX: Metadata in WAV files is stored in "id3 " chunk (instead of adding it to the end of file). 03.01.2010 - version 1.0.0.94 - NEW: added option to choose file types to accept under "Add Folder" button. - NEW: can read/save Metadata from/to wav files (id3v2 will be added to the end of file). - NEW: added Metadata import/export functionality (see under Metdata tab right-click menu). When importing, files will me matched on file name basis (extension will be discarded). 01.01.2010 - version 1.0.0.93 - FIX: external cover art file was not read for ape+cue. 30.12.2009 - version 1.0.0.92 - FIX: fixed issue with some jpeg files which were not recognized by ALAC tagger. - NEW: added support for cover art in external file (i.e. cover.jpg, folder.jpg). . - NEW: added support for multiple Artist and AlbumArtist tags in FLAC files. 29.12.2009 - version 1.0.0.91 - FIX: disable options which are not legal when "Copy" destination is selected. - FIX: fixed some isues with Metadata when converting from flac to flac. - NEW: added some more info under Grab CD/Settings. - NEW: added "Number of read errors" indicator when grabbing a CD. - NEW: added report about CD read errors (in case there were some). 26.12.2009 - version 1.0.0.90 - FIX: disable Clipboard monitor while saving Metadata. - New: added option to write ID3v2 in ISO-8859-1 encoding (under Program Settings/Metadata). - NEW: added option to encode only piece of track (see under Preprocessing). Implemented as a command line parameters as well (see /timestart and /timelength). 22.12.2009 - version 1.0.0.89 - NEW: added normalization by Sound Level (see under Normalize). - NEW: added /mono to command line parameters (will convert output audio to mono). - FIX: won't show CD Settings button in retrieve Metadata dialog. 20.12.2009 - version 1.0.0.88 - NEW: added CD Drive offset support (see under Grab CD/Settings). 15.12.2009 - version 1.0.0.87 - FIX: fixed issue when "Move original to Recycle Bin" was used together with "Same as Source". - FIX: fixed issue with external settings after process was canceled. 13.12.2009 - version 1.0.0.86 - FIX: fixed error when clicking on "Total:" item. - FIX: fixed some issues with creating cue/playlist. 11.12.2009 - version 1.0.0.85 - FIX: registration sometimes was not working in portable version. 10.12.2009 - version 1.0.0.84 - FIX: fixed crash with certain wavpack files. - FIX: sort by output file size now working. - NEW: added value 5 for TAK preset, which stands for -pMax. 09.12.2009 - version 1.0.0.83 - FIX: fixed crash when reading mp3 files with ID3v2.4 TAGs. - FIX: check for new version was not running in portable version. - FIX: fixed issue when embedded CUESHEET was written to wrong files. - NEW: added error detailed message if adding file fails for some reason. 08.12.2009 - version 1.0.0.82 - FIX: fixed pause/resume when converting many files in parallel. - FIX: fixed issue when converting to WMA loseless with Cover Art. - NEW: Replay Gain is now working in parallel. 07.12.2009 - version 1.0.0.81 - FIX: fixed issue with filenames containing . - FIX: fixed issue with Replay Gain no working. - FIX: fixed some visual glitches. 06.12.2009 - version 1.0.0.80 - NEW: added support for TAK encoding. 06.12.2009 - version 1.0.0.79 - FIX: fixed visual glitch when "Show dedicated progress form" was set . - FIX: original CUE reused in even more cases. - NEW: added support for embedded CUE for tak files. - NEW: increased progress form's width so that all texts fit in properly. 04.12.2009 - version 1.0.0.78 - FIX: fixed several translation mistakes in Russian. - NEW: added Danish language. 03.12.2009 - version 1.0.0.77 - FIX: fixed issue when CD was not accessible if it had assigned letter B:. - FIX: fixed even more issues with CUE creation, original CUE will be reused where possible. - FIX: fixed issue with Replay Gain settings. - NEW: added Chinese (simplified) language. 28.11.2009 - version 1.0.0.76 - FIX: fixed issue with creation of CUE and PLS files when used with several output folders. 26.11.2009 - version 1.0.0.75 - FIX: added more check when saving flac metadata to prevent file corruption. - FIX: fixed some issues with CD grabbing. - FIX: small visual update for win7. - NEW: added "Remove All" button. 25.11.2009 - version 1.0.0.74 - FIX: even more several small bug fixes. 22.11.2009 - version 1.0.0.73 - FIX: fixed issue when drive names were not shown in "Add Folder" dialog. 22.11.2009 - version 1.0.0.72 - FIX: several small bug fixes. Some settings were not saved etc. 19.11.2009 - version 1.0.0.71 - NEW: will show label about new version just left to profile instead of asking about it (you'll see it in action starting from version 1.0.0.72 ;). 18.11.2009 - version 1.0.0.70 - NEW: added support for portable mode (see under About/Portable). - FIX: fixed some issues with Atomic Parsley and mp4 files. - FIX: removed quality bar from mp3 settings as it was not working anyway. If you want to use advanced mp3 settings then, plase, set up external lame.exe encoder for MP3 Settings and configure it to use needed parameters. 10.11.2009 - version 1.0.0.69 - NEW: enhanced TAGs' retrieving from file name (Ctrl+2 under Metadata). - FIX: fixed slowness (and sometimes crash) when removing files from list. 03.11.2009 - version 1.0.0.68 - FIX: fixed issue with wma encoder (TWMAEncoder.FinalizeOutput(0) error). - FIX: fixed issue with dts decoder (was creating pops in some cases). 02.11.2009 - version 1.0.0.67 - NEW: added French language . - FIX: small visual fix in About box. 01.11.2009 - version 1.0.0.66 - FIX: fixed normalize settings button (was broken in previous version). 30.10.2009 - version 1.0.0.65 - NEW: added support for encoding to AIFF format (Metadata will be transferred as well). - NEW: added support for Metadata editing for AIFF files. 29.10.2009 - version 1.0.0.64 - NEW: added feature to add track announcement to the resulting file (using Microsoft speech API). See under Additional Output Settings/Announcement. - NEW: added support for reading Metadata TAGs from WAV files. 24.10.2009 - version 1.0.0.63 - NEW: use neroAacTag.exe to write tags when compressing with NeroAAC. - NEW: added version info for lame_enc.dll used (under About/Version info...). - NEW: added support for LossyWav for Ape, FLAC, WavPack, WAV, RAW and WMA loseless formats (see under Preprocess). - NEW: added decoding support for AIFF files. 16.10.2009 - version 1.0.0.62 - FIX: fix for APE verify function not working. - NEW: added Italian language support. 15.10.2009 - version 1.0.0.61 - FIX: fixed issue with duplicate files being added with "Add Folder". - FIX: fixed issue with columns' autosize. - NEW: added support for decoding of AMR files. - NEW: added Input Files' Grouping by Input Path (under Input Files right-click menu). - NEW: added option to use simplified "Add Folder" (under Program Settings/Advanced). - NEW: added support for MediaInfo.dll to show additional media files' info (in "Add Folder" dialog). - NEW: added intelligence to CUE processing when adding folder from "Add Folder" dialog - duplicate CUE files or ones where audio file is missing won't be processed. 08.10.2009 - version 1.0.0.60 - FIX: fixed some issues with command line processing. - FIX: fixed issue when cue file was added twice from "Add Folder" dialog. - FIX: comma (,) was ignored when reding Title from CUE file. - NEW: added "Verify encoded output" under FLAC encoder settings. - NEW: added "Verify encoded output" under APE encoder settings. - NEW: added feature to retrieve Metadata from FileName (under Metadata righ-click menu, Ctrl+2). 28.09.2009 - version 1.0.0.59 - FIX: fixed issue with creating wav for for 24bit/96Khz files. - FIX: fixed freeze when compressing to alac files with veeeery long comments in metadata. - FIX: fixed issue with rm files. - NEW: added support for decoding of MIDI files. 27.09.2009 - version 1.0.0.58 - FIX: fixed issue when using "Copy Cover Picture to Output Folder" together with "Move original to Recycle Bin". - NEW: added support for CUE files with more than one FILE in them. 24.09.2009 - version 1.0.0.57 - NEW: added "Information" column to "Add Folder" dialog to show more info about audio files. - NEW: added support for reading mp4 chapters. 20.09.2009 - version 1.0.0.56 - NEW: reworked "Add Folder" dialog (now it's possible to check multiple folders). 18.09.2009 - version 1.0.0.55 - FIX: fixed issue when check for new version failed. - NEW: added "Change Case" under Custom Output Settings. 16.09.2009 - version 1.0.0.54 - FIX: fixed issue when Merge and Multiple were sometimes appearing in Merge settings dialog. - FIX: fixed issue with using Normalize together with "Move original to Recycle Bin". - FIX: fixed issue when program's temp folder was deleted while program was still running. - NEW: added support for libvorbis.dll, i.e. you can copy it to program's folder (together with libmmd.dll if needed) and program will try to load it instead of old .ogg libraries. 15.09.2009 - version 1.0.0.53 - FIX: fixed issue with check for new version. - FIX: improved disk-full error handling. 12.09.2009 - version 1.0.0.52 - NEW: added option to highlight input files by groups (see under Program Settings/Advanced). - FIX: %U in tags was not always working. - FIX: do not write files in playlist with full path. 08.09.2009 - version 1.0.0.51 - NEW: added win 7 support for showing progress in taskbar. 05.09.2009 - version 1.0.0.50 - NEW: added Czech language. - NEW: added Settings for "Same as source" destination folder. - NEW: file types in "Add Files" dialog are sorted. - FIX: if checked, all CD tracks will be checked for DTS tracks (not only 1st). 02.09.2009 - version 1.0.0.49 - NEW: added feature to retrieve Metadata for audio files from internet (under Metadata righ-click menu). - NEW: added %filetype% tag which will be replaced with output file type. - NEW: from now on you can start any tag with %U or %L, for example:. - %Ufilename% will be replaced with filename in upper case. - %Ltitle% will be replaced with title in lower case. - Etc - NEW: can use TAGs in picture file name (under Program Settings/Metadata). - NEW: added OGG and FLAC TAGs option for external encoder. - NEW: added "Exclude CUE files" checkbox for "Add Folder" window. - NEW: added "Process CUE files only" checkbox for "Add Folder" window. - FIX: cue files were not copied (for "Copy" destination format). - FIX: fixed cover image retrieval for mp3 files where picture description was in unicode. 29.08.2009 - version 1.0.0.48 - FIX: fixed memory leak when extracting audio from video files. - NEW: added settings to Copy destination format - you can specify wheter to copy other files and/or subfolders to the destination. - NEW: disable Replay Gain button when all source files are deleted from the list. - NEW: added option to retrieve correct track names under Grab CD (by using cddb protocol 5 and Charset). - NEW: program will now check for updates on startup. 25.08.2009 - version 1.0.0.47 - NEW: added checkbox to include sub-folders under "Add Folder" button. - NEW: added Select None, Invert Selection under Metadata editor right-click menu. - NEW: show free disk space near the Total size of output files before adding files and in Info dialog after conversion. 24.08.2009 - version 1.0.0.46 - NEW: show free disk space near the Total size of output files. - NEW: can convert flac/ape/wv files with embedded cue to/from ape/flac/wv (CUE and LOGFILE tags will be preserved). 23.08.2009 - version 1.0.0.45 - NEW: added CD support for Copy destination, i.e. it will copy RAW content of cd tracks to the destination. - NEW: added yes/no confirmation to "Reset to Default" button. - NEW: will update filename pattern when profile is changed. - NEW: will show name of filename pattern used. - NEW: added command line support. It's an initial release so there might be issues ;). 18.08.2009 - version 1.0.0.44 - FIX: fixed %track2% tag (wasn't padding with 0 in all cases). - FIX: fixed tag editor to respect spaces at the end (they'll be stripped if used in filename pattern, though). - NEW: added Open Source Folder under right-click menu for Input Files. - NEW: added shortcut Ctrl+S to save Metadata. - NEW: added CD-TEXT support . - NEW: added Autosize for Source Files and Metadata columns. 16.08.2009 - version 1.0.0.43 - FIX: fixed issue with not precise CUE splitting. 15.08.2009 - version 1.0.0.42 - FIX: fixed issue with "Reset to Default" in ReplayGain window. - FIX: fixed # column sort in Metadata window. - NEW: added Shortcuts to several commands in right-click menu for Input Files. 14.08.2009 - version 1.0.0.41 - NEW: added Bulgarian language. - NEW: added option to scan WAV files for DTS streram (under Program Settings/Advanced). 14.08.2009 - version 1.0.0.40 - FIX: fixed files' selection/deselection under Metadata tab. 13.08.2009 - version 1.0.0.39 - FIX: last folder location from "Add Folder" is now saved. - FIX: fixed issue with program crashing on really long m4a filenames. - NEW: added "Add Files", "Add Folder", "Select None", "Invert Selection" under right-click menu for Input Files. - NEW: added "Capitalize Each Word" under right-click menu for Metadata. - NEW: added new Destination format - Copy. It is useful to transfer (rename) files to new destination. - NEW: Added option to run command after conversion (under Program Settings/Advanced). 10.08.2009 - version 1.0.0.38 - FIX: fixed issue with reg window on XP (open file dialog was behind window). - FIX: fixed issues with profiles. - FIX: fixed some visual glitches. 08.08.2009 - version 1.0.0.37 - FIX: fixed Artist/Album Artist issue with CUE files. - FIX: fixed issue with MP3 external encoder settings. - NEW: added support for embedded cue for ape files. - NEW: can select single drive with Choose Destination button. 08.08.2009 - version 1.0.0.36 - NEW: added Bits Per Sample option under Preprocessing settings to convert audio to 16bps. 06.08.2009 - version 1.0.0.35 - FIX: fixed issues with some CDs. 05.08.2009 - version 1.0.0.34 - NEW: added support for tak decoding . - NEW: added option to show Information after conversion (see under Program Settings). - NEW: added Checkbox to tell program that CD contains DTS tracks. This will speed-up grabbing of normal CDs as eliminates need to detect tracks type (detection of DTS is not 100% correct, yet). 02.08.2009 - version 1.0.0.33 - FIx: fixed issue with "always on top". - NEW: don't try to detect dts files with wav header (for the time being) as was giving false positives. 01.08.2009 - version 1.0.0.32 - NEW: added option to open destination folder after conversion (see under Program Settings). - NEW: added %folder% to file name pattern settings. 29.07.2009 - version 1.0.0.31 - FIX: fixed some issues with profiles. - NEW: enhanced Metadata editor - changed edit boxes to combo boxes to allow user to choose value in case multiple files are selected. - NEW: added option to confirm program exit. - NEW: added shortcut Ctrl+L to change the language. 27.07.2009 - version 1.0.0.30 - NEW: moved option copy Cover Art under Program Settings/Metadata. - NEW: added Extract under Cover Art picture box to extract picture to file. - NEW: added Finnish language. 26.07.2009 - version 1.0.0.29 - FIX: fixed Nero/AAC settings . - FIX: fixed issue when Cover Art picture was not available during conversion. - FIX: fixed issue when tags where not written to files produced by NeroAAC. - FIX: fixed mp3 settings. - NEW: added option copy Cover Art to destination folder (see under Cover Art Edit button). - NEW: can enter zoom percentage manually (in Cover Art editor). 24.07.2009 - version 1.0.0.28 - FIX: fixed small memory leak when reading id3v1. - FIX: fixed issue when Cover Art was not retrieved from FLAC files if they had ID3v2 set as well. - FIX: size for 1st column (#) was not saved - fixed. - NEW: changed some logic of setting flac encoder parameters to prevent error -1. - NEW: added option for output file name extension for NeroAAC (choose between mp4 and m4a). 20.07.2009 - version 1.0.0.27 - FIX: fixed crash when upgrading from older version. 19.07.2009 - version 1.0.0.26 - NEW: pressing Enter will start to play current file. - NEW: added "Same as source" option under MP3 Stereo Mode settings. 16.07.2009 - version 1.0.0.25 - FIX: fixed Metadata editor Columns menu (order of menu items were not in sync with columns order). - NEW: put limit on length of profile name (max 50 chars). - NEW: added "Reset to default" under Columns menu . - NEW: playback will automatically continue with the next file. 15.07.2009 - version 1.0.0.23 - NEW: added option to embed CUE into file (FLAC or WV only) under Merge settings. 14.07.2009 - version 1.0.0.22 - FIX: fixed issue when size of some columns was not saved. 13.07.2009 - version 1.0.0.21 - NEW: enabled column drag for files and metadata views. 11.07.2009 - version 1.0.0.20 - FIX: fixed issue with big WavPack file. - NEW: added German language. - NEW: added Total item under Metadata view for quick select/unselect items. 08.07.2009 - version 1.0.0.19 - FIX: fixed ID3v2 tag writing to be compatible with WMP. - NEW: resize Profile field according to length of content. - NEW: added Size target in MP3 settings - program will try to guess bitrate to meet output file size specified (not yet very sophisticated though ;). - NEW: added option to not to disable Start buttonm after conversion. - NEW: added Sample Rate option for AC3 encoder. Will force it to 48000 if larger even if this option is not set. - NEW: added Spanish Traditional language. 06.07.2009 - version 1.0.0.18 - NEW: updated Japanese and Swedish languages. 05.07.2009 - version 1.0.0.18 - FIX: fixed some issues with profiles. - FIX: fixed identification of some DTSCDs. - FIX: fixed crash with some flac files. - NEW: picture in editor is centered. - NEW: can edit multiple pictures (if they're equal). - NEW: added Shortcuts to About screen. 04.07.2009 - version 1.0.0.17 - NEW: added Ctrl+P as a shortcut for Program Settings. - NEW: replace macdll.dll with uncompressed one. 03.07.2009 - version 1.0.0.16 - FIX: some visual glitches fixed. - NEW: added Language autodetection on 1st program run. - NEW: profile will be saved to file when save button is pressed (was saved on program exit, before). - NEW: can move large Cover Art in editor with mouse. 02.07.2009 - version 1.0.0.15 - FIX: fixed crash with certain mp3 files. - FIX: fixed file name creating in case track was in format 1/n. - FIX: fixed dialogboxes to respect windows language. - NEW: added option to set application font (see under Program Settings). - NEW: added Ctrl+Enter as a shortcut for Start button. - NEW: reversed mouse wheel behaviour for volume track bar . - NEW: increased responsiveness of Metadata editor even more. - NEW: changed homepage a bit. 01.07.2009 - version 1.0.0.14 - FIX: fixed nasty crash on some mp3 files. - FIX: fixed bug in picture comparison (was giving wrong results for APEv2 pictures). - NEW: speed up metadata editor as well as fixed some more issues. - NEW: will display "none" if multiple files with no Picture are selected. - NEW: save settings in ini file (instead of registry) as it's faster. - NEW: added Profiles - you can create/edit your own ones. 30.06.2009 - version 1.0.0.13 - FIX: some bugfixes. - NEW: show picture which is the same for multiple selected files. - NEW: added Column submenu for Metdata Editor (to hide unused columns). 29.06.2009 - version 1.0.0.12 - FIX: fixed some visual glitches. - NEW: added icon in files list to indicate file that's being played. - NEW: Ctrl+O will fire Add Files. - NEW: Ctrl+F will fire Add Folders. - NEW: added shortcuts (F1/F2) to switch between Files List and Metadata Editor. - NEW: added support for embedded CUE sheet in flac and wv files. 28.06.2009 - version 1.0.0.11 - FIX: fixed issue with album art picture size. - FIX: fixed some more Access Violations. - NEW: added field to show current Output File pattern used. - NEW: added option for real-time picture resize in editor. 28.06.2009 - version 1.0.0.10 (big one :) - FIX: fixed several issues in Metadata Editor. - FIX: fixed issue with Access Violation error when removing/adding files. - FIX: several visual bugfixes. - FIX: fixed mistakes in Russian texts. - NEW: added Hungarian, Spanish, Swedish and Brazilian Portuguese languages. - NEW: added DiscNumber to Metadata editor. - NEW: improved search for CUE audio file (in case one specified in .cue doesn't exist). - NEW: get Genre and Date from CUE files. - NEW: can enter specified Output Path (was read-only before). - NEW: new settings for creating output file name for CD and CUE tracks (see Output Settings). - NEW: small visual change for buttons to look better on XP. 26.06.2009 - version 1.0.0.9 - FIX: fixed visual glith with "Input Files Settings" . - NEW: added missing lossless text to other languages. 25.06.2009 - version 1.0.0.8 - NEW: added Polish language. 25.06.2009 - version 1.0.0.7 - NEW: resized forms to fit in notebook resolution (1024x576). - NEW: renamed MP4 to NeroAAC with ability to configure NeroAAC tool. 25.06.2009 - version 1.0.0.6 - FIX: fixed some memore leaks and Access Violations. - NEW: get Track and Comments from mod files. - NEW: resized lot of controls so texts in different languages fit in. 24.06.2009 - version 1.0.0.5 - NEW: added support for 'xm', 'mod', 's3m', 'it', 'mtm', 'umx' files. - NEW: added Dutch language. 24.06.2009 - version 1.0.0.4 - NEW: added Register and Close buttons to registration screen to make it more easy to register. - NEW: added text AAC next to M4A to make it more obvious. 23.06.2009 - version 1.0.0.3 - FIX: fixed some issues with registration. - NEW: added Russian language support. - NEW: added priority settings under Program Settings. 22.06.2009 - version 1.0.0.2 - NEW: process only non-processed files when pressing start button (was processing all before). - NEW: added priority settings under Program Settings. 22.06.2009 - version 1.0.0.1 - FIX: fixed issue with multiple audio stream video files. - FIX: fixed installation to create link to proper home page (in start menu). - NEW: added all supported files to "Add Files" dialog. 20.06.2009 - version 1.0.0.0 - NEW: initial release of xrecode II. Back